const $ajax = axios.create({
    baseURL: '',
    timeout: 2000,
    headers: {
        'X-Requested-With': 'XMLHttpRequest',
    },
});
// 设置axios拦截器：请求拦截器
$ajax.interceptors.request.use(config => {
    // config.headers['X-Requested-With'] = 'XMLHttpRequest';
    return config
}, err => {
    // 请求未成功发出，如：没有网络...
    return Promise.reject(err)
})
// 设置axios拦截器: 响应拦截器
$ajax.interceptors.response.use(res => {
    // 成功响应的拦截
    return Promise.resolve(res.data || {})
}, err => {
    // 失败响应的拦截
    return Promise.resolve({ status: false, err: err, data: {} })
});

// 通用mixin
const commonMixin = {
    data() {
        return {};
    },
    methods: {
        waitTime(duration = 1000) {
            return new Promise((resolve, reject) => {
                setTimeout(() => {
                    resolve();
                }, duration);
            })
        }
    },
};

console.log('[common.js]', 'ok');